package org.execution;

import java.io.IOException;

import org.global.BaseClass;
import org.manager.PageManager;
import org.openqa.selenium.WebElement;
import org.page.LoginPage;
import org.testng.Assert;
import org.testng.annotations.BeforeClass;
import org.testng.annotations.DataProvider;
import org.testng.annotations.Optional;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;
import org.testng.asserts.SoftAssert;

import com.aventstack.extentreports.Status;

public class DataProviderExampleClass {

	public static BaseClass base = new BaseClass();

	@Test(priority = 3, dataProvider = "LoginDatas", dataProviderClass = DataClass.class)
	public void loginCrdentialsValidation(String userValue, String passValue) throws IOException {

		try {

			base.getDriver(base.readExcel(0, 1));
			base.getUrl(base.readExcel(1, 1));

			LoginPage loginPage = new LoginPage();
			WebElement userName = loginPage.getUserName();
			base.sendKeysByJS(userName, userValue);

			WebElement password = loginPage.getPassword();
			base.sendKeysByJS(password, passValue);

			// test.log(Status.PASS, "Login Crdentials Entered Successfully");

			WebElement login = loginPage.getLogin();

			// Login Button is Displayed or Not
			Assert.assertEquals(login.isDisplayed(), true);

			// Login Button is Enabled or Not
			Assert.assertEquals(login.isEnabled(), true);
			System.out.println("Login Button is Enabled");

			// To Click Login Button
			base.clickByJS(login);

		} catch (Exception e) {

			// test.log(Status.FAIL, "Login Crdentials NOT Entered Successfully _ " +
			// e.getMessage());
			// test.addScreenCaptureFromPath(base.screenCapture());

		}

	}

}
