package org.execution;

import java.io.IOException;

import org.global.BaseClass;
import org.manager.PageManager;
import org.openqa.selenium.WebElement;
import org.testng.Assert;
import org.testng.annotations.AfterTest;
import org.testng.annotations.BeforeClass;
import org.testng.annotations.BeforeTest;
import org.testng.annotations.Optional;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

import com.aventstack.extentreports.ExtentReports;
import com.aventstack.extentreports.ExtentTest;
import com.aventstack.extentreports.Status;
import com.aventstack.extentreports.reporter.ExtentSparkReporter;

import io.github.bonigarcia.wdm.WebDriverManager;
import net.bytebuddy.agent.builder.AgentBuilder.Identified.Extendable;

public class TC01_AdactinLoginPageValidation extends BaseClass {

	public static BaseClass base = new BaseClass();
	public static PageManager pageManager = new PageManager();

	@Test(priority = 3)
	public void loginCrdentialsValidation() throws IOException {

		try {

			WebElement userName = pageManager.getLoginPage().getUserName();
			base.sendKeysByJS(userName, base.readExcel(2, 1));

			WebElement password = pageManager.getLoginPage().getPassword();
			base.sendKeysByJS(password, base.readExcel(3, 1));

			test.log(Status.PASS, "Login Crdentials Entered Successfully");

		} catch (Exception e) {

			test.log(Status.FAIL, "Login Crdentials NOT Entered Successfully _ " + e.getMessage());
			test.addScreenCaptureFromPath(base.screenCapture());

		}

	}

	@Test(priority = 4)
	public void loginButtonValidation() {

		try {

			WebElement login = pageManager.getLoginPage().getLogin();

			// Login Button is Displayed or Not
			Assert.assertEquals(login.isDisplayed(), true);

			// Login Button is Enabled or Not
			Assert.assertEquals(login.isEnabled(), true);
			System.out.println("Login Button is Enabled");
			
			// To Click Login Button
			base.clickByJS(login);

//			if (login.isDisplayed()) {
//
//				if (login.isEnabled()) {
//
//					System.out.println("Login Button is Enabled");
//
//					base.clickByJS(login);
//
//				}
//
//			}

			
		} catch (Exception e) {
			// TODO: handle exception
		}

	}

	@Test(priority = 5)
	public static void tc05() {
		System.out.println("Test5");
	}

}
