package org.page;

import org.global.BaseClass;
import org.openqa.selenium.By;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.CacheLookup;
import org.openqa.selenium.support.FindAll;
import org.openqa.selenium.support.FindBy;
import org.openqa.selenium.support.FindBys;
import org.openqa.selenium.support.How;
import org.openqa.selenium.support.PageFactory;

public class LoginPage extends BaseClass {

	public LoginPage() {
		PageFactory.initElements(driver, this);
	}

	@CacheLookup
	@FindAll({ @FindBy(how = How.XPATH, using = "//input[@id='username']"),
		@FindBy(xpath = "//input[@name='username']") })
	private WebElement userName;

	// WebElement userName = driver.findElement(By.id("username"));

	public WebElement getUserName() {
		return userName;
	}

	@FindBy(how = How.XPATH, using = "//input[@id='password']")
	private WebElement password;

	public WebElement getPassword() {
		return password;
	}

	@FindBy(how = How.XPATH, using= "//input[@id='login']")
	private WebElement login;

	public WebElement getLogin() {
		return login;
	}

	
	@FindBy(how=How.XPATH,using="//td[text()='Existing User Login - Build 1']")
	private WebElement userLogin;
	
	public WebElement getUserLogin() {
		return userLogin;
	}
	
	
	
	
	// PageFactory - Class - Predefined
	// initElements - static method - used to initialize the webElement

}
